<ion-header no-border>
    <ion-toolbar>
      <ion-title>{{roteiro.titulo}}</ion-title>
      <ion-buttons slot="start">
        <ion-back-button defaultHref="/tabs/roteiro"></ion-back-button>
      </ion-buttons>
      <ion-buttons slot="end">
          <ion-button (click)="presentActionSheet()">
            <ion-icon name="more"></ion-icon>
          </ion-button>  
        </ion-buttons>
    </ion-toolbar>
  </ion-header>
  
  <ion-content padding>
      <div *ngIf="roteiro.atividade?.length < 1">
          <ion-img src="assets/img/timeline.svg"></ion-img>
      </div>
    <ion-grid>
      <ion-row>
        <ion-col>
          <ion-list>
            <div class="container" (press)="atividadePresentActionSheet('')" >
              <ul *ngFor="let atividade of roteiro.atividade">
                <div >
                  <li  [routerLink]="['/lugar-detail', atividade.reference]" routerLinkActive="router-link-active"><span></span>
                    <div>
                      <div class="title">{{ atividade.lugar }}</div>
                      <div class="info">{{atividade.descricao}}</div>
                      <div class="info">{{atividade.data?.toDate() | date: 'dd/MM/yyyy'}}</div>
                    </div> 
                    <span class="number">
                      <span>{{atividade.data.toDate() | date: 'HH:mm'}}</span>
                      <span></span>
                    </span>
                  </li>
                </div>
                </ul>
              </div>
            <br>
          </ion-list>
        </ion-col>
      </ion-row>
    </ion-grid>
    <ion-fab vertical="bottom" horizontal="end" slot="fixed">
      <ion-fab-button (click)="abrirAtividadeEdit()">
        <ion-icon name="add"></ion-icon>
      </ion-fab-button>
    </ion-fab>
  </ion-content>